Bug 84151 - While recording macro, Calc crashed.
Summary: While recording macro, Calc crashed.
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.1.2 release
Hardware: Other Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-21 22:43 UTC by Jim
Modified: 2015-05-06 14:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim 2014-09-21 22:43:27 UTC
Libre Office Version: 4.3.1.2
Build ID: 958349dc3b25111dbca392fbc281a05559ef6848

OS:  Windows 7 Home Premium (x64) Service Pack 1 (build 7601)

Processor:  1.60 gigahertz Intel Core i7 Q 720

One sheet workbook, size 10350 rows, through column AF.

Click Tools, Macros, Record macro
Active cell:  A1
Click Data, Sort, col A selected
Click OK
Calc crashes
LibreOffice Document Recovery window opens stating:
Due to an unexpected error, LibreOffice crashed. All the files you were working on will now be saved. The next time LibreOffice is launched, your files will be recovered automatically.

Closed LibreOffice, launched LibreOffice and opened same spreadsheet again and tried recording the same macro with the same results.

Note:  if not recording a macro, rather simply taking the steps I am trying to record, Calc works as expected.
Comment 1 Caolán McNamara 2014-09-26 10:25:11 UTC
Can you attach a sample document ?
Comment 2 Jean-Baptiste Faure 2014-09-28 17:51:48 UTC
Please do not set your own bug as NEW. Each bug must be confirmed independently.

Best regards. JBF
Comment 3 QA Administrators 2015-04-01 14:47:41 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 4 QA Administrators 2015-05-06 14:22:04 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team